import { getRechargeList } from "../../service/recharge";
import { getYears } from "../../utils/index";

// pages/rechargeRecord/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    year: new Date().getFullYear(),
    month: new Date().getMonth() + 1,
    years: getYears(),
    list: [

    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },
  onChangeYear(e) {
    const { years } = this.data;
    const currentYear = years[Number(e.detail.value)]
    this.setData({
      year: currentYear
    })
    this.init(currentYear)
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const currentYear = this.data.year;
    this.init(currentYear)
  },
  async init(year) {
    const { code, message, data } = await getRechargeList(year);
    this.setData({
      list: data
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})